Name:           sugar-vnclauncher
Version:        7
Release:        1%{?dist}
Summary:         VNC Launcher 

License:        GPLv3
URL:            http://activities.sugarlabs.org/en-US/sugar/addon/4311
Source0:        http://mirror.aarnet.edu.au/pub/sugarlabs/activities/4311/vnclauncher-%{version}.xo

BuildRequires:  python2-devel sugar-toolkit-gtk3 gettext 
Requires:       sugar openssl-devel

%description
VNC Launcher for Sugar

%prep
%setup -q -n VncLauncher.activity
sed -i -e '1i#!/usr/bin/python' vnclauncher.py
chmod +x vnclauncher.py


%build
%{__python} ./setup.py build

%install
%{__python} ./setup.py install --prefix=%{buildroot}/%{_prefix}

%files
%{sugaractivitydir}/VncLauncher.activity

%post
%{sugaractivitydir}/VncLauncher.activity/bin/i586/lib/libvncserver.so.0
%{sugaractivitydir}/VncLauncher.activity/bin/arm/x11vnc
%{sugaractivitydir}/VncLauncher.activity/bin/arm/lib/libminilzo.so.0
%{sugaractivitydir}/VncLauncher.activity/bin/i586/x11vnc
%{sugaractivitydir}/VncLauncher.activity/bin/i586/lib/libvncclient.so.0
%{sugaractivitydir}/VncLauncher.activity/bin/arm/lib/libvncserver.so.0
%{sugaractivitydir}/VncLauncher.activity/bin/i586/lib/libminilzo.so.0
%{sugaractivitydir}/VncLauncher.activity/bin/arm/lib/libvncclient.so.0



%changelog
* Thu Jun 06 2013 Danishka Navin <danishka@gmail.com> - 7-1
- initial packaging

